%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Implements resource discovery and announcement over SSDP
Name:		gssdp
Version:	0.10.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	http://www.gupnp.org/sites/all/files/sources/%{name}-%{version}.tar.gz
BuildRequires:	libsoup-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gobject-introspection-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GSSDP implements resource discovery and announcement over SSDP.

%package -n %{libname}
Summary:	Main library for gssdp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Conflicts: gir-repository < 0.6.5-11

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gssdp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gssdp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts: gir-repository < 0.6.5-11

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gssdp.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't wannt these
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS
%{_bindir}/gssdp-device-sniffer
%{_datadir}/%{name}/*.ui

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%_libdir/girepository-1.0/GSSDP-1.0.typelib

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/gssdp*.pc
%{_includedir}/gssdp-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/*
%_datadir/gir-1.0/GSSDP-1.0.gir


%changelog
* Thu Apr 14 2011 dams <dams> 0.10.0-1.mga1
+ Revision: 84984
- Update to 0.10.0

* Sun Jan 23 2011 wally <wally> 0.8.2-1.mga1
+ Revision: 33532
- new version 0.8.2
- fix license, url and source tag

* Sat Jan 22 2011 wally <wally> 0.7.2-4.mga1
+ Revision: 33293
- remove old obsoletes and mdv scriptlets
- disable static build
- imported package gssdp


* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-3mdv2011.0
+ Revision: 577923
- rebuild for new g-i

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.7.2-2mdv2011.0
+ Revision: 563303
- rebuild for new gobject-introspection

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 533727
- new version
- add introspection support

* Mon Jan 18 2010 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.1
+ Revision: 492939
- add BRs

* Fri Dec 04 2009 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 473524
- update to new version 0.7.1

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 445305
- Update to new version 0.7.0 (new major)
- Use gtkbuilder instead of glade now
- Package ui file in gssdp package instead of devel package

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.4-2mdv2010.0
+ Revision: 425051
- rebuild

* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 349315
- New version 0.6.4
- drop P1 (fixed upstream)

* Thu Jan 08 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 327272
- New version 0.6.3
- diff P0 to fix str fmt

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.6.2-2mdv2009.1
+ Revision: 309154
- rebuild to get rid of libtasn1 dep

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 278581
- update to new version 0.6.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 210590
- new version
- bump major
- do not re-define stuff
- update buildrequires
- spec file clean

  + Erwan Velu <erwan@mandriva.org>
    - Fixing stupid buildrequires

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 174550
- Fixing wrong requires
- Adding glade dep
- import gssdp


